DEVPUBD(8)

NAME
devpubd - device publish daemon for automatic device node creation

SYNOPSIS
devpubd [-f]

DESCRIPTION
devpubd listens on drvctl(4) for new devices and creates their device nodes using MAKEDEV(8) if they are missing.

When -f is specified, devpubd does not go into the background.

devpubd runs /libexec/devpubd-run-hooks. This script runs each script found in /libexec/devpubd-hooks in a lexical order with two arguments: device-attach or device-detach and the device file name. The default installation supplies the 01-makedev script for creating a device node and the 02-wedgenames script for creating symlinks to wedge devices under /dev/wedges. Additional scripts may be added for other dynamic device actions.

SEE ALSO
drvctl(8), MAKEDEV(8)

HISTORY
A devpubd utility appeared in NetBSD 6.0.